summaryrefslogtreecommitdiffstats
path: root/network/mozplugger
diff options
context:
space:
mode:
author Michael Wagner <druiloor@zonnet.nl>2010-05-11 15:01:31 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:01:31 +0200
commit5d6e706495229d4f67724cd1dbce89437c15f337 (patch)
tree5c734820e98cea9e5a591f63166b625f560a9994 /network/mozplugger
parentba122a081aee861e68809372b535a5c92cfa5b80 (diff)
downloadslackbuilds-5d6e706495229d4f67724cd1dbce89437c15f337.tar.gz
slackbuilds-5d6e706495229d4f67724cd1dbce89437c15f337.tar.xz
network/mozplugger: Initial import
Diffstat (limited to 'network/mozplugger')
-rw-r--r--network/mozplugger/Makefile_i486.diff27
-rw-r--r--network/mozplugger/Makefile_i686.diff27
-rw-r--r--network/mozplugger/README12
-rw-r--r--network/mozplugger/doinst.sh14
-rw-r--r--network/mozplugger/mozplugger.SlackBuild82
-rw-r--r--network/mozplugger/mozplugger.info8
-rw-r--r--network/mozplugger/slack-desc19
7 files changed, 189 insertions, 0 deletions
diff --git a/network/mozplugger/Makefile_i486.diff b/network/mozplugger/Makefile_i486.diff
new file mode 100644
index 0000000000..5809552b30
--- /dev/null
+++ b/network/mozplugger/Makefile_i486.diff
@@ -0,0 +1,27 @@
+--- Makefile~ 2007-04-23 10:29:25.000000000 +0200
++++ Makefile 2007-04-23 10:43:02.000000000 +0200
+@@ -95,7 +95,7 @@
+ RPM_OPT_FLAGS=-O2
+ COMMON_CFLAGS=$(RPM_OPT_FLAGS) -Inpapi/include -I$(X11)/include -DXP_UNIX $(DEFINES)
+ COMMON_LDFLAGS=
+-NORM_CFLAGS=
++NORM_CFLAGS=-O2 -march=i486 -mtune=i686
+ NORM_LDFLAGS=
+ XCFLAGS=-shared
+ XLDFLAGS=-shared
+@@ -157,13 +157,13 @@
+ install:
+ -@mkdir -p $(root)$(prefix)/bin
+ -@mkdir -p $(root)$(prefix)/lib/mozilla/plugins
+- -@mkdir -p $(root)$(prefix)/share/man/man7
++ -@mkdir -p $(root)$(prefix)/man/man7
+ -@mkdir -p $(root)/etc
+ cp mozplugger-helper $(root)$(prefix)/bin/
+ cp mozplugger-controller $(root)$(prefix)/bin/
+ cp mozplugger.so $(root)$(prefix)/lib/mozilla/plugins/
+ cp mozpluggerrc $(root)/etc/
+- cp mozplugger.7 $(root)$(prefix)/share/man/man7/
++ cp mozplugger.7 $(root)$(prefix)/man/man7/
+
+ mozplugger.tar.gz: $(BASE_FILES) $(SOURCE_FILES)
+ @( DIR=`pwd`;\
diff --git a/network/mozplugger/Makefile_i686.diff b/network/mozplugger/Makefile_i686.diff
new file mode 100644
index 0000000000..1f7c11a7ac
--- /dev/null
+++ b/network/mozplugger/Makefile_i686.diff
@@ -0,0 +1,27 @@
+--- Makefile~ 2007-04-23 10:29:25.000000000 +0200
++++ Makefile 2007-04-23 10:43:42.000000000 +0200
+@@ -95,7 +95,7 @@
+ RPM_OPT_FLAGS=-O2
+ COMMON_CFLAGS=$(RPM_OPT_FLAGS) -Inpapi/include -I$(X11)/include -DXP_UNIX $(DEFINES)
+ COMMON_LDFLAGS=
+-NORM_CFLAGS=
++NORM_CFLAGS=-O2 -march=i686 -mtune=i686
+ NORM_LDFLAGS=
+ XCFLAGS=-shared
+ XLDFLAGS=-shared
+@@ -157,13 +157,13 @@
+ install:
+ -@mkdir -p $(root)$(prefix)/bin
+ -@mkdir -p $(root)$(prefix)/lib/mozilla/plugins
+- -@mkdir -p $(root)$(prefix)/share/man/man7
++ -@mkdir -p $(root)$(prefix)/man/man7
+ -@mkdir -p $(root)/etc
+ cp mozplugger-helper $(root)$(prefix)/bin/
+ cp mozplugger-controller $(root)$(prefix)/bin/
+ cp mozplugger.so $(root)$(prefix)/lib/mozilla/plugins/
+ cp mozpluggerrc $(root)/etc/
+- cp mozplugger.7 $(root)$(prefix)/share/man/man7/
++ cp mozplugger.7 $(root)$(prefix)/man/man7/
+
+ mozplugger.tar.gz: $(BASE_FILES) $(SOURCE_FILES)
+ @( DIR=`pwd`;\
diff --git a/network/mozplugger/README b/network/mozplugger/README
new file mode 100644
index 0000000000..9e60f61818
--- /dev/null
+++ b/network/mozplugger/README
@@ -0,0 +1,12 @@
+MozPlugger (Plugin to launch external viewers in Mozilla)
+
+It allows you to integrate external applications to view files
+that Mozilla can't handle itself.
+
+MozPlugger was branched out from Plugger 4.0 in
+February 2003 by Louis Bavoili.
+
+Homepage: http://mozplugger.mozdev.org/
+
+You may need to delete your local $HOME/.mozilla/firefox/pluginreg.dat
+file for mozplugger to be enabled correctly after you update it.
diff --git a/network/mozplugger/doinst.sh b/network/mozplugger/doinst.sh
new file mode 100644
index 0000000000..6122924a10
--- /dev/null
+++ b/network/mozplugger/doinst.sh
@@ -0,0 +1,14 @@
+# Handle configuration files
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+# List of configuration files (they should end in .new)
+config etc/mozpluggerrc.new
diff --git a/network/mozplugger/mozplugger.SlackBuild b/network/mozplugger/mozplugger.SlackBuild
new file mode 100644
index 0000000000..866d7d9140
--- /dev/null
+++ b/network/mozplugger/mozplugger.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+# Slackware Build Script for mozplugger
+# (C) 2007 Michael Wagner <lapinours@web.de>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+# Modified by the SlackBuild Project
+
+set -e
+
+PRGNAM=mozplugger
+VERSION=1.8.1
+VERSION=$VERSION
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING ChangeLog README"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.* || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Patch Makefile ($ARCH, /usr/man)
+if [ $ARCH = i486 ]; then
+ patch -p0 < $CWD/Makefile_i486.diff || exit 1
+elif [ $ARCH = i686 ]; then
+ patch -p0 < $CWD/Makefile_i686.diff || exit 1
+fi
+
+# Change installation prefix
+sed -i "s?\(root=\)?\1 $PKG?g" Makefile
+make linux || exit 1
+make install || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -name "*.?" -type f 2> /dev/null | xargs gzip -9 2> /dev/null
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Don't override custom changes to muzpluggerrc
+mv $PKG/etc/mozpluggerrc /$PKG/etc/mozpluggerrc.new
+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/mozplugger/mozplugger.info b/network/mozplugger/mozplugger.info
new file mode 100644
index 0000000000..cb6dcbb70e
--- /dev/null
+++ b/network/mozplugger/mozplugger.info
@@ -0,0 +1,8 @@
+PRGNAM="mozplugger"
+VERSION="1.8.1"
+HOMEPAGE="http://mozplugger.mozdev.org/"
+DOWNLOAD="http://mozplugger.mozdev.org/files/mozplugger-1.8.1.tar.gz"
+MD5SUM="f3e6a65573e7e8a1d056d8e4d90b6f9a"
+MAINTAINER="Michael Wagner"
+MAIL="lapinours@web.de"
+APPROVED="BP{k}"
diff --git a/network/mozplugger/slack-desc b/network/mozplugger/slack-desc
new file mode 100644
index 0000000000..3ff504a7db
--- /dev/null
+++ b/network/mozplugger/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mozplugger: MozPlugger (Plugin to launch external viewers in Mozilla)
+mozplugger:
+mozplugger: It allows you to integrate external applications to view files
+mozplugger: that Mozilla can't handle itself.
+mozplugger:
+mozplugger: MozPlugger was branched out from Plugger 4.0 in
+mozplugger: February 2003 by Louis Bavoili.
+mozplugger:
+mozplugger: Homepage: http://mozplugger.mozdev.org/
+mozplugger:
+mozplugger: